## InfTextGtkHueChooser

InfTextGtkHueChooser — A GTK+ widget for selecting a hue value

## Stability Level

Unstable, unless otherwise indicated

## Functions

GtkWidget * | inf_text_gtk_hue_chooser_new ()
GtkWidget * | inf_text_gtk_hue_chooser_new_with_hue ()
void | inf_text_gtk_hue_chooser_set_hue ()
gdouble | inf_text_gtk_hue_chooser_get_hue ()

## Properties

gdouble | hue | Read / Write / Construct

## Signals

void | hue-change | Run Last
void | move | Action

## Types and Values

struct | InfTextGtkHueChooser
struct | InfTextGtkHueChooserClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── InfTextGtkHueChooser

## Implemented Interfaces

InfTextGtkHueChooser implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <libinftextgtk/inf-text-gtk-hue-chooser.h>

## Description

InfTextGtkHueChooser is a widget which allows the user to select a hue value without selecting also saturation and lightness at the same time. It only presents the hue circle without the inner triangle.

## Functions

### inf_text_gtk_hue_chooser_new ()

    GtkWidget *
    inf_text_gtk_hue_chooser_new (void);

Creates a new InfTextGtkHueChooser widget with the initial hue set to 0.0 (red).

[constructor]

#### Returns

A newly created InfTextGtkHueChooser.

[transfer floating]

### inf_text_gtk_hue_chooser_new_with_hue ()

    GtkWidget *
    inf_text_gtk_hue_chooser_new_with_hue (gdouble hue);

Creates a new InfTextGtkHueChooser widget with the given hue as initial value. `hue` must be between 0.0 and 1.0.

[constructor]

#### Parameters

hue | Initial hue value |

#### Returns

A newly created InfTextGtkHueChooser.

[transfer floating]

### inf_text_gtk_hue_chooser_set_hue ()

    void
    inf_text_gtk_hue_chooser_set_hue (InfTextGtkHueChooser *chooser,
                                      gdouble hue);

Sets the current hue value of `chooser` to `hue` . `hue` must be between 0.0 and 1.0.

#### Parameters

chooser | A InfTextGtkHueChooser. |
hue | New hue value. |

### inf_text_gtk_hue_chooser_get_hue ()

    gdouble
    inf_text_gtk_hue_chooser_get_hue (InfTextGtkHueChooser *chooser);

Returns the currently selected hue value of `chooser` .

#### Parameters

chooser | A InfTextGtkHueChooser. |

#### Returns

The current hue value, a number between 0.0 and 1.0.

## Types and Values

### struct InfTextGtkHueChooser

    struct InfTextGtkHueChooser;

InfTextGtkHueChooser is an opaque data type. You should only access it via the public API functions.

### struct InfTextGtkHueChooserClass

    struct InfTextGtkHueChooserClass {
      void(*hue_change)(InfTextGtkHueChooser* chooser,
                        gdouble hue);

      void(*move)(InfTextGtkHueChooser* chooser,
                  GtkDirectionType direction);
    };

This structure contains default signal handlers of the InfTextGtkHueChooser class.

#### Members

`hue_change` () | Default signal handler for the “hue-change” signal. |
`move` () | Default signal handler for the “move” signal. |

## Property Details

### The `“hue”` property

      “hue”                      gdouble

The current hue value.

Owner: InfTextGtkHueChooser

Flags: Read / Write / Construct

Allowed values: [0,1]

Default value: 0

## Signal Details

### The `“hue-change”` signal

    void
    user_function (InfTextGtkHueChooser *chooser,
                   gdouble               hue,
                   gpointer              user_data)

This signal is emitted whenever the hue value is changed.

#### Parameters

chooser | The InfTextGtkHueChooser emitting the signal. |
hue | The new hue value. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“move”` signal

    void
    user_function (InfTextGtkHueChooser *chooser,
                   GtkDirectionType      direction,
                   gpointer              user_data)

This is an action signal emitted when the selection is moved by the user.

#### Parameters

chooser | The InfTextGtkHueChooser emitting the signal. |
direction | The direction in which the move was mode. |
user_data | user data set when the signal handler was connected. |

Flags: Action

## See Also

InfTextGtkHueChooser